public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/distgen] epel10.3: new file build-and-update-all-branches
@ 2026-09-14 12:38 Pavel Raiskup
0 siblings, 0 replies; only message in thread
From: Pavel Raiskup @ 2026-09-14 12:38 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/distgen
Branch : epel10.3
Commit : d2dff3409b7b2649e0c2884e52d9c403ec7c255d
Author : Pavel Raiskup <praiskup@redhat.com>
Date : 2019-09-24T11:18:50+02:00
Stats : +36/-0 in 1 file(s)
URL : https://src.fedoraproject.org/rpms/distgen/c/d2dff3409b7b2649e0c2884e52d9c403ec7c255d?branch=epel10.3
Log:
new file build-and-update-all-branches
---
diff --git a/build-and-update-all-branches b/build-and-update-all-branches
new file mode 100755
index 0000000..6aa7ffb
--- /dev/null
+++ b/build-and-update-all-branches
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+# Prepare master branch, review the list of branches below and then execute this
+# script.
+
+branches='master epel7 f29 f30 f31'
+
+exit_handler ()
+{
+ git checkout master
+}
+
+trap exit_handler EXIT
+
+set -e
+set -x
+
+koji hello
+
+tasks=
+for branch in $branches; do
+ if test $branch != master; then
+ git checkout "$branch"
+ git merge master
+ fi
+ git push
+ tasks="${tasks}`fedpkg build --nowait | grep 'Created task' | cut -d: -f2`"
+done
+
+koji watch-task $tasks
+
+for branch in $branches; do
+ test $branch != master || continue
+ git checkout $branch
+ fedpkg update
+done
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-14 12:38 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-14 12:38 [rpms/distgen] epel10.3: new file build-and-update-all-branches Pavel Raiskup
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox